Bug 1283916 - Console: process instance default filters are not translated with Japanese locales
Console: process instance default filters are not translated with Japanese l...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
x86_64 Linux
medium Severity low
: DR1
: 6.3.0
Assigned To: Neus Miras
Pavel Kralik
: UserExperience
Depends On: 1283711
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 04:33 EST by Pavel Kralik
Modified: 2016-02-25 08:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Untranslated filters in Process Instances (92.30 KB, image/png)
2015-11-20 04:33 EST, Pavel Kralik
no flags Details

  None (edit)
Description Pavel Kralik 2015-11-20 04:33:35 EST
Created attachment 1097084 [details]
Untranslated filters in Process Instances

Description of problem:
When working in PI perspective with Japanese locale, the filters are in English

Version-Release number of selected component (if applicable):
BPMS 6.2.0.CR1

How reproducible:
Always

Steps to Reproduce:
1. Go to: http://localhost:8080/business-central/kie-wb.html?locale=ja_JP
2. Switch to Process Instances and see default filters
3.

Actual results:
See screenshot

Expected results:
Translated filters to Japanese

Additional info:
Comment 2 Pavel Kralik 2015-11-20 04:44:53 EST
The same situation for zh_CN locales.
Comment 3 Neus Miras 2015-12-15 07:28:08 EST
The name is stored in a string (not depending of the locale). the user can introduce just the name in one locale. The default filters works in the same way. The name of the tab is set in the filter creation moment, That means in the first time the user access to the section or in the 'Restore default filters' moment, the tab title and description are set in the navigation locale.
If you change the locale you have to restore the default filters to view the title and description updated.
Comment 4 Pavel Kralik 2016-02-25 08:35:37 EST
BPMS 6.3.0.DR1

Note You need to log in before you can comment on or make changes to this bug.